Subject: Re: bug#77173: [PATCH] Instruct users to use customize or setopt for user options that have :set-er

From: Visuwesh <[email-masked]>
Date: Sat, 22 Mar 2025 19:17:01 +0530

[Saturday March 22, 2025] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Date: Sat, 22 Mar 2025 17:50:31 +0530
>> 
>> Seeing the discussion in bug#77157, and another recent discussion about
>> the same, WDYT about the attached that automatically adds the "use
>> setopt" filler text?
>> 
>> This is what doc-view-epub-font-size says with the patch applied:
>> 
>>     doc-view-epub-font-size is a variable defined in ‘doc-view.el’.
>> 
>>     Its value is nil
>> 
>>     Font size in points for EPUB layout.
>> 
>>       This variable was introduced, or its default value was changed, in
>>       version 29.1 of Emacs.
>>       You can customize this variable.
>>       Setting this variable directly will not usually take effect;
>>       use either customize or ‘setopt’, or call ‘doc-view-custom-set-epub-font-size’.
>> 
>> The word 'customize' in the last line is buttonised the same way as the
>> one in "You can customize this variable'.
>
> What does this do when the setter is an anonymous function?  We have
> quite a lot of these when a defcustom needs a :set function.

It currently does nothing, thanks for catching this.  I forgot to
consider lambdas when I wrote the patch earlier.  I think we can leave
out the "or call XXX" part if :set is a function?